# Get Started

## Quick Start <a href="#quick-start" id="quick-start"></a>

TapTalk.io helps you to implement real-time chat with any type of your client app with speed and efficiency. Our Javascript SDK provides you with various methods to initialize, configure, and build the chat from the client-side - no server-side implementation is required because our reliable infra management service is delivered with the SDK. This page presents a brief overview of the SDK’s structure and abilities, then lets you go through the preliminary steps of implementing the SDK in your own app.

## Configure and Initialize TapTalk.io Javascript SDK <a href="#configure-and-initialize-taptalk-io-ios-sdk" id="configure-and-initialize-taptalk-io-ios-sdk"></a>

#### **Step 1: Create a new application from your dashboard** <a href="#step-1-create-a-new-application-from-your-dashboard" id="step-1-create-a-new-application-from-your-dashboard"></a>

**1.** Login to [TapTalk.io Dashboard](https://dash.taptalk.io/), then choose **Development** -> **Apps**

![](https://gblobscdn.gitbook.com/assets%2F-LfVupFSqh_qZAY9OiCO%2F-MHKsq4vOlouRa03adbb%2F-MHKvQJYwokZj2SvRd6U%2F08a4ad0-Screenly_-_9.0_Development_-_Apps_-_Empty_State2x.png?alt=media\&token=6f629f44-d932-400f-984d-2fb1a1f0e408)

**2**. Click **New App** Button, input **App Name** and choose **Platform**, and then click **Create New App** Button.

![](https://gblobscdn.gitbook.com/assets%2F-LfVupFSqh_qZAY9OiCO%2F-MHKsq4vOlouRa03adbb%2F-MHKxC_cD1-kv3lPxiSk%2F58201a8-Screenly_-_9.1.0_Development_-_Apps_-_New_App_-_Empty_State2x.png?alt=media\&token=ab2fe069-a0b6-4d22-86d3-fdd8e51c235f)

![](https://gblobscdn.gitbook.com/assets%2F-LfVupFSqh_qZAY9OiCO%2F-MHKsq4vOlouRa03adbb%2F-MHKxGJV7RBtqLBu8UwT%2Ff2a1418-Screenly_-_9.1.1_Development_-_Apps_-_New_App_-_Filled2x.png?alt=media\&token=5b628aa3-05ec-47e9-98ef-dbc2c23de5bc)

**3.** A pop-up dialog will be shown with provided **App Key ID** & **App Key Secret**

![](https://gblobscdn.gitbook.com/assets%2F-LfVupFSqh_qZAY9OiCO%2F-MHKsq4vOlouRa03adbb%2F-MHKxQLyhxLOunGM05hx%2Ff869a40-Screenly_-_9.1.3_Development_-_Apps_-_New_App_-_Your_App_Key_-_Dismiss2x.png?alt=media\&token=b7bfb1cb-65ff-47e6-beda-69011f5addb8)

**Note:** Please remember to save your **App Key ID** & your **App Key Secret** because it will only be shown once and will be used in TapTalk.io initialization

#### Step 2: Install TapTalk.io SDK

{% tabs %}
{% tab title="Bash" %}

```bash
npm i @taptalk.io/web-sdk
```

{% endtab %}
{% endtabs %}

#### Step 3: Import TapTalk.io to Your Project

{% tabs %}
{% tab title="JavaScript" %}

```javascript
import { taptalk, tapCoreRoomListManager, 
tapCoreChatRoomManager, tapCoreMessageManager, 
tapCoreContactManager } from '@taptalk.io/web-sdk'
```

{% endtab %}
{% endtabs %}

#### Step 4: Initialize TapTalk.io

{% tabs %}
{% tab title="JavaScript" %}

```javascript
taptalk.init(APP_ID, APP_SECRET, APP_BASE_URL)
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
**Parameters**\
**APP\_KEY\_ID**: (String) application key ID\
**APP\_KEY\_SECRET**: (String) application key Secret\
**APP\_BASE\_URL**: (String) base API URL
{% endhint %}

#### Step 5: Authenticate to TapTalk.io <a href="#step-4-authenticate-to-taptalk-io" id="step-4-authenticate-to-taptalk-io"></a>

In order to use the abilities of the Android SDK in your client app, a TapTalk instance must be initiated in each client app through user authentication with TapTalk.io server. An authenticated user account allows the instance to communicate and interact with the server. To authenticate your user with the server, follow the instructions in Authentication page.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.taptalk.io/powertalk-chat-sdk-documentation/powertalk-javascript-sdk/get-started.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
